Subject: Re: [Int-area] confirming consensus form themeeting: draft-templin-intarea-seal

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 23 Feb 2010 11:04:45 -0800

Hi Jari,

SEAL has now been published as an experimental RFC:

  http://www.rfc-editor.org/rfc/rfc5320.txt

There is also an RFC5230-compliant implementation available
which I would encourage folks to have a look at:

  http://osprey67.com/seal

There is also an ongoing (bis) effort underway to
develop a greatly improved version of SEAL:

  http://tools.ietf.org/html/draft-templin-intarea-seal

Since the Hiroshima meeting, there have been numerous
list discussions indicating very real path MTU issues
in the Internet today:

http://www.ietf.org/mail-archive/web/rrg/current/msg05831.html
http://www.ietf.org/mail-archive/web/rrg/current/msg05860.html
http://www.ietf.org/mail-archive/web/rrg/current/msg05907.html
http://www.ietf.org/mail-archive/web/softwires/current/msg01161.html
http://www.ietf.org/mail-archive/web/softwires/current/msg01186.html
http://www.ietf.org/mail-archive/web/behave/current/msg08093.html

Research efforts have also shown significant evidence of
the issues:

http://www.icir.org/tbit/tbit-Aug2004.pdf
http://www.caida.org/workshops/wide/0603/slides/mluckie2.pdf
http://listserver.internetnz.net.nz/pipermail/ipv6-techsig/2009-October/000708.html

These investigations seem to confirm that IPv4 path MTU
discovery in the Internet today seems to be getting by
based solely on the fact that it is only very rarely
invoked. Otherwise, we would be seeing non-negligible
instances of path MTU-related black holes during ordinary
http transactions. As more and more tunnels are introduced
into the Internet however, this delicate balance will be
upset and we will have a path MTU mess to deal with. This
will not be a problem for tunnels that use SEAL.

I know we talked about SEAL in Hiroshima, but given these
new developments perhaps we should talk about it again
in Anaheim?

Thanks - Fred
[email-masked]

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Jari Arkko
> Sent: Tuesday, December 29, 2009 2:44 PM
> To: Internet Area
> Subject: Re: [Int-area] confirming consensus form themeeting: draft-templin-intarea-seal
> 
> Consensus has been confirmed to be the same as in the meeting, i.e., we
> will not adopt this work at this time. Of course, Fred has an RFC out on
> this in a week or two from the Independent Submission stream and I
> encourage everyone who is interested on this to take a look and/or
> consider using SEAL.
> 
> Jari
> 
> _______________________________________________
> Int-area mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/int-area